Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(60)

Issue 335560043: [plaso] Add parser and formatter for Trend Micro antivirus. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 months, 1 week ago by ep
Modified:
6 months, 3 weeks ago
Reviewers:
Joachim Metz, onager
CC:
jberggren, romaing, kiddi, log2timeline-dev_googlegroups.com, aaronp
Visibility:
Public.

Description

[plaso] Add parser and formatter for Trend Micro antivirus.

Patch Set 1 #

Patch Set 2 : Add parser and formatter for Trend Micro antivirus. #

Total comments: 34

Patch Set 3 : Add parser and formatter for Trend Micro antivirus. #

Total comments: 14

Patch Set 4 : Add parser and formatter for Trend Micro antivirus. #

Total comments: 2

Patch Set 5 : Add parser and formatter for Trend Micro antivirus. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+407 lines, -0 lines) Patch
M plaso/formatters/__init__.py View 1 1 chunk +1 line, -0 lines 0 comments Download
A plaso/formatters/trendmicroav.py View 1 2 3 4 1 chunk +102 lines, -0 lines 0 comments Download
M plaso/parsers/__init__.py View 1 1 chunk +1 line, -0 lines 0 comments Download
A plaso/parsers/trendmicroav.py View 1 2 3 1 chunk +246 lines, -0 lines 0 comments Download
A test_data/pccnt35.log View 1 chunk +3 lines, -0 lines 0 comments Download
A tests/parsers/trendmicroav.py View 1 2 1 chunk +54 lines, -0 lines 0 comments Download

Messages

Total messages: 16
ep
8 months, 1 week ago (2018-02-09 14:04:44 UTC) #1
ep
There are several mistakes that I would like to correct here. Please disregard until the ...
8 months, 1 week ago (2018-02-09 16:54:35 UTC) #2
ep
Code updated.
8 months ago (2018-02-12 09:25:14 UTC) #3
onager
https://codereview.appspot.com/335560043/diff/20001/plaso/formatters/trendmicroav.py File plaso/formatters/trendmicroav.py (right): https://codereview.appspot.com/335560043/diff/20001/plaso/formatters/trendmicroav.py#newcode20 plaso/formatters/trendmicroav.py:20: '-> {action}', Using "->" is a little weird, please ...
8 months ago (2018-02-14 16:10:34 UTC) #4
ep
Code updated.
7 months, 2 weeks ago (2018-03-05 16:13:11 UTC) #5
ep
https://codereview.appspot.com/335560043/diff/20001/plaso/formatters/trendmicroav.py File plaso/formatters/trendmicroav.py (right): https://codereview.appspot.com/335560043/diff/20001/plaso/formatters/trendmicroav.py#newcode20 plaso/formatters/trendmicroav.py:20: '-> {action}', On 2018/02/14 16:10:33, onager wrote: > Using ...
7 months, 2 weeks ago (2018-03-05 16:14:01 UTC) #6
onager
Just a few nits left. https://codereview.appspot.com/335560043/diff/40001/plaso/parsers/trendmicroav.py File plaso/parsers/trendmicroav.py (right): https://codereview.appspot.com/335560043/diff/40001/plaso/parsers/trendmicroav.py#newcode20 plaso/parsers/trendmicroav.py:20: from plaso.formatters import trendmicroav ...
7 months, 1 week ago (2018-03-08 10:59:12 UTC) #7
ep
Code updated.
7 months, 1 week ago (2018-03-08 13:39:28 UTC) #8
ep
https://codereview.appspot.com/335560043/diff/40001/plaso/parsers/trendmicroav.py File plaso/parsers/trendmicroav.py (right): https://codereview.appspot.com/335560043/diff/40001/plaso/parsers/trendmicroav.py#newcode20 plaso/parsers/trendmicroav.py:20: from plaso.formatters import trendmicroav as formatter On 2018/03/08 10:59:12, ...
7 months, 1 week ago (2018-03-08 13:40:13 UTC) #9
onager
https://codereview.appspot.com/335560043/diff/60001/plaso/formatters/trendmicroav.py File plaso/formatters/trendmicroav.py (right): https://codereview.appspot.com/335560043/diff/60001/plaso/formatters/trendmicroav.py#newcode69 plaso/formatters/trendmicroav.py:69: def _ConditionalFormatMessages(self, event_values): Rather than overriding _ConditionalFormatMessages, move this ...
7 months, 1 week ago (2018-03-08 14:46:21 UTC) #10
ep
Code updated.
7 months, 1 week ago (2018-03-08 15:01:20 UTC) #11
ep
https://codereview.appspot.com/335560043/diff/60001/plaso/formatters/trendmicroav.py File plaso/formatters/trendmicroav.py (right): https://codereview.appspot.com/335560043/diff/60001/plaso/formatters/trendmicroav.py#newcode69 plaso/formatters/trendmicroav.py:69: def _ConditionalFormatMessages(self, event_values): On 2018/03/08 14:46:21, onager wrote: > ...
7 months, 1 week ago (2018-03-08 15:01:53 UTC) #12
ep
On 2018/03/08 15:01:53, ep wrote: > > Can you also open an issue to create ...
7 months, 1 week ago (2018-03-08 15:02:17 UTC) #13
onager
LGTM, I'll merge this
7 months, 1 week ago (2018-03-08 15:05:35 UTC) #14
onager
Changes have been merged with master branch. To close the review and clean up the ...
7 months, 1 week ago (2018-03-08 15:12:02 UTC) #15
Joachim Metz
6 months, 3 weeks ago (2018-03-23 07:05:00 UTC) #16
this was merged please close
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b